Bug 1911763 - repeated keycode 227 from Video bus
Summary: repeated keycode 227 from Video bus
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-31 03:37 UTC by Sampson Fung
Modified: 2021-06-30 15:29 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-30 15:29:57 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
journalctl --no-hostname -k (91.83 KB, text/plain)
2020-12-31 03:37 UTC, Sampson Fung
no flags Details

Description Sampson Fung 2020-12-31 03:37:49 UTC
Created attachment 1743355 [details]
journalctl --no-hostname -k

1. Please describe the problem:
A repeated text appeared as "^@" is interfering input in text mode, even login can fail.

2. What is the Version-Release number of the kernel:
5.9.15-200
5.9.16-200
5.10.4-200


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Boot to multi-user.target
run evtest (ver 1.34)
while waiting to choose an input, repeated "^@" appears, which will abort evtest once enter is pressed.
if choose an input fast enough, evtest goes into listen mode
a.  choose Keyboard, no keycode detected, but "^@" keep appearing
b.  choose Video Bus, keycode 227 is detected everytime a "^@" appears
 

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Yes

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

ps.  adding radeon.runpm=0 to kernel parameter reduce the frequency of the repeated "^@" appearing.

Hardware:  Dell Vostro 3350 notebook

Comment 1 Hans de Goede 2021-01-01 13:36:45 UTC
Hello,

Thank you for your bug report.

You should be able to stop these key-presses from being reported by adding the following to the Linux kernel commandline:

"video.report_key_events=2"

You can do this by running the following command:

sudo grubby --update-kernel=ALL --args="video.report_key_events=2"

Please run the following command:

grep . /sys/class/dmi/id/* 2> /dev/null

As normal user and copy and paste the output here. Then I can add a quirk for your model laptop to the kernel to suppress these keyboard events automatically without needing  a kernel commandline option.

One question before I add a quirk to the kernel for this. Have you run Linux on this laptop before and if yes, did you also have this issue when you ran Linux before?

Regards,

Hans

Comment 2 Sampson Fung 2021-01-02 07:37:01 UTC
Thank you very much for the quick response.

The keycode is stopped following your instructions.

Below is the output:
$grep . /sys/class/dmi/id/* 2>/dev/null
/sys/class/dmi/id/bios_date:04/08/2014
/sys/class/dmi/id/bios_release:1.0
/sys/class/dmi/id/bios_vendor:Dell Inc.
/sys/class/dmi/id/bios_version:A10
/sys/class/dmi/id/board_vendor:Dell Inc.
/sys/class/dmi/id/board_version:A10
/sys/class/dmi/id/chassis_type:8
/sys/class/dmi/id/chassis_vendor:Dell Inc.
/sys/class/dmi/id/chassis_version:Not Specified
/sys/class/dmi/id/ec_firmware_release:1.0
/sys/class/dmi/id/modalias:dmi:bvnDellInc.:bvrA10:bd04/08/2014:br1.0:efr1.0:svnDellInc.:pnVostro3350:pvrNotSpecified:rvnDellInc.:rn:rvrA10:cvnDellInc.:ct8:cvrNotSpecified:
/sys/class/dmi/id/product_name:Vostro 3350
/sys/class/dmi/id/product_sku:To be filled by O.E.M.
/sys/class/dmi/id/product_version:Not Specified
/sys/class/dmi/id/sys_vendor:Dell Inc.
/sys/class/dmi/id/uevent:MODALIAS=dmi:bvnDellInc.:bvrA10:bd04/08/2014:br1.0:efr1.0:svnDellInc.:pnVostro3350:pvrNotSpecified:rvnDellInc.:rn:rvrA10:cvnDellInc.:ct8:cvrNotSpecified:

No.  This is the first time I can put Fedora to this machine.  But I notice this keycode issue almost immediately.

Comment 3 Hans de Goede 2021-01-06 11:25:09 UTC
Good to hear that the kernel-commandline option helps.

After taking a closer look I believe that this is an issue with the radeon driver, and ideally we should be able to fix this there rather then adding a quirk for this. I've asked a colleague who knows the radeon driver better to take a look.

Comment 4 Hans de Goede 2021-06-30 15:29:57 UTC
Sorry for being quite slow with following up on this.

I've had a discussion with the amdgpu devs about this, hoping that we could find a solution which would not involve adding a quirk, but we've not been able to come up with anything there.

So I've gone ahead and submitted a quirk upstream, so that future kernel version will automatically set video.report_key_events=2 when running in a Dell Vostro 3350:
https://lore.kernel.org/linux-acpi/20210630152316.24768-1-hdegoede@redhat.com/T/#u

This means that eventually (once this change gets integrated into the kernels Fedora ships) you should be able to remove the "video.report_key_events=2" from the kernel commandline and things should keep working, but for now you still need it (and it does no harm to keep it around).


Note You need to log in before you can comment on or make changes to this bug.